Show / Hide Table of Contents

# Class Position

##### Inheritance

System.Object
Position

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.ToString()

###### Namespace:Microsoft.SqlTools.ServiceLayer.Workspace.Contracts

###### Assembly:Microsoft.SqlTools.ServiceLayer.dll

##### Syntax

    public class Position

### Properties

| Improve this Doc View Source

#### Character

Gets or sets the zero-based column number.

##### Declaration

    public int Character { get; set; }

##### Property Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### Line

Gets or sets the zero-based line number.

##### Declaration

    public int Line { get; set; }

##### Property Value

Type | Description
--- | ---
System.Int32 |